	// ===============================================================
	// Global Var
	// ===============================================================
	
	// Edit Handler
	// _______________________________________________________________________
	var EDIT_HANDLER = function(){};	
	EDIT_HANDLER.REF_IS_MODIFIED = false;
	EDIT_HANDLER.HAS_NEWLY_SAVED_DATA = false;
	var PROPERTY_PARENT_ID = 0;
	var PROPERTY_PARENT_DESCRIPTION = "";
	
	
	// Cache
	// _______________________________________________________________________
	var PROPERTY_REC_EODPROD_ID = -1;
	var PROPERTY_EDIT_MODE = false;
	var PROPERTY_EDIT_ROW_INDEX = -1;
	var PROPERTY_QSTRING_ID = FLAG_BIGINT_NULL;
	var INPUT_INSTANCE = null;
	
	
	// Buttons [Optional]
	// _______________________________________________________________________
	var ADD_BBI = null;
	var SAVE_BBI = null;
	var DELETE_BBI = null;
	var CANCEL_BBI = null;
	var NAVIGATION_BACK_BBI = null;
	
	var LOAD_MORE_BBI = null;
	var LOAD_PREV_BBI = null;
	var LOAD_NEXT_BBI = null;
	var LOAD_PAGING_CMB = null;
	var LOAD_PAGING_IGNORE_NEXT_REQUEST = false;
	
	var SEARCH_CMD = null;
	var PRINT_BBI = null;
	var EXPORT_BBI = null;
	
	
	// Dialog Controls [Optional]
	// _______________________________________________________________________
	var REC_EODPROD_CAT_PRODUCT_ID_CMB = null;
	var REC_EODPROD_DATE_DTP = null;
	var REC_EODPROD_QTY_BEGIN_TXT = null;
	var REC_EODPROD_QTY_END_TXT = null;
	var REC_EODPROD_STOCK_IN_TXT = null;
	var REC_EODPROD_STOCK_OUT_TXT = null;
	var REC_EODPROD_STOCK_ADJUSTMENT_TXT = null;
	var REC_EODPROD_USAGE_TXT = null;
	var REC_EODPROD_MOVE_DESC_01_TXT = null;
	var REC_EODPROD_MOVE_DESC_02_TXT = null;
	var REC_EODPROD_MOVE_DESC_03_TXT = null;
	var REC_EODPROD_MOVE_DESC_04_TXT = null;
	var REC_EODPROD_MOVE_DESC_05_TXT = null;
	var REC_EODPROD_MOVE_QTY_01_TXT = null;
	var REC_EODPROD_MOVE_QTY_02_TXT = null;
	var REC_EODPROD_MOVE_QTY_03_TXT = null;
	var REC_EODPROD_MOVE_QTY_04_TXT = null;
	var REC_EODPROD_MOVE_QTY_05_TXT = null;
	var REC_EODPROD_STATUS_CMB = null;
	
	var SEARCH_REC_EODPROD_DATE_CMB = null;
	
	var PARAM_REC_EODPROD_ID_FILE_FP = null;
	
	
	// DGV Controls
	// _______________________________________________________________________
	var EOD_PRODUCT_DGV = null;
	var EOD_PRODUCT_LAST_GET_MAP_ARRAY = null;



	// ===============================================================
	// Initialize Controls [Cookies]
	// ===============================================================  
	function FORM_INITIALIZE_COOKIES()
	{
		// Load Cache Parent Data [Add Redirects if this is a required data.]
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ID_EOD_PRODUCT"))
		{
			PROPERTY_PARENT_ID = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_ID_EOD_PRODUCT");
		}	
		else
		{
			//window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];
			//window.close();
		}
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DESCRIPTION_EOD_PRODUCT"))
		{
			PROPERTY_PARENT_DESCRIPTION = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_DESCRIPTION_EOD_PRODUCT");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_PARENT_DESCRIPTION_TXT") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_PARENT_DESCRIPTION_TXT", PROPERTY_PARENT_DESCRIPTION);			
			}
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_PARENT_DESCRIPTION_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_PARENT_DESCRIPTION_LBL", PROPERTY_PARENT_DESCRIPTION);			
			}
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_TITLE_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_TITLE_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_TITLE_LBL") + " : " + PROPERTY_PARENT_DESCRIPTION);	
			}
		}	
		else
		{
			//window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];	
		}
	
		// Restore Cache on reload
		// ...........................................	
		if
		(
			JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ID_EOD_PRODUCT") || 
			JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DESCRIPTION_EOD_PRODUCT")
		)
		{
			  window.onbeforeunload = function(event)
			  {
					// Get Current Root path
					var CURRENT_ROOT_PATH = JSCUS_CACHE.ROOT_PATH + JSVC_STR.VAR_MID(JSVC_STR.VAR_DLEFT(JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS], JSCUS_CACHE.SERVER_URL.length), 1, 1);
				
					// Cache Primary Key
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_ID_EOD_PRODUCT', 
						PROPERTY_PARENT_ID, 
						5, 
						CURRENT_ROOT_PATH
					);
					
					// Cache Description
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_DESCRIPTION_EOD_PRODUCT', 
						PROPERTY_PARENT_DESCRIPTION, 
						5, 
						CURRENT_ROOT_PATH
					);
			  };
		}
		
		// Assign Fixed Parent (Must remove auto-populate at ch.js and HTTP_PARENT_LOAD at eh.js)
		// ...........................................
		/*
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PARENT_SELECT_CMB"))
		{
			JSOC_CMB.VAR_ADD
			(
				"PARENT_SELECT_CMB", 
				PROPERTY_PARENT_ID,
				PROPERTY_PARENT_DESCRIPTION
			);
		}
		*/
		
		
 		// Cache Class Properties
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_REC_EODPROD_ID"))
		{
			PROPERTY_REC_EODPROD_ID = JSVC_COOKIE.VAR_READ("PROPERTY_REC_EODPROD_ID");
		}	
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_EDIT_MODE"))
		{
			PROPERTY_EDIT_MODE = JSVC_COOKIE.VAR_READ("PROPERTY_REC_EODPROD_ID");
		}	
	};



	// ===============================================================
	// Initialize Controls [Buttons]
	// ===============================================================  
	function FORM_INITIALIZE_BUTTONS()
	{	
		// Initialize: Ribbon Buttons [Add Back Link (to parent page)]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("NAVIGATION_BACK_BBI"))
		{
    		NAVIGATION_BACK_BBI = JSOC_ELEMENT.VAR_GET("NAVIGATION_BACK_BBI");  
			
			// Add OnClick event
			NAVIGATION_BACK_BBI.onclick = 
				function()
				{
				};
		}
		
		// Initialize: Ribbon Buttons [Add Forward Link (to child page)]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("NAVIGATION_BACK_BBI"))
		{
    		NAVIGATION_BACK_BBI = JSOC_ELEMENT.VAR_GET("NAVIGATION_BACK_BBI");  
			
			// Add OnClick event
			NAVIGATION_BACK_BBI.onclick = 
				function()
				{
				};	
		}
		
		// Initialize: Load more items to the list
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_MORE_BBI"))
		{
    		LOAD_MORE_BBI = JSOC_ELEMENT.VAR_GET("LOAD_MORE_BBI");  
			LOAD_MORE_BBI.onclick = 
				function()
				{
					HTTP_SEARCH_LOAD_MORE();
				};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_PREV_BBI"))
		{
    		LOAD_PREV_BBI = JSOC_ELEMENT.VAR_GET("LOAD_PREV_BBI");  
			LOAD_PREV_BBI.onclick = 
				function()
				{
					var CURRENT_INDEX = JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB);
					if(CURRENT_INDEX > 0)
					{
						JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB, CURRENT_INDEX - 1);
						LOAD_PAGING_CMB.onchange();
					}
				};
		}		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_NEXT_BBI"))
		{
    		LOAD_NEXT_BBI = JSOC_ELEMENT.VAR_GET("LOAD_NEXT_BBI");  
			LOAD_NEXT_BBI.onclick = 
				function()
				{
					var CURRENT_INDEX = JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB);
					if(CURRENT_INDEX + 1 < JSOC_CMB.VAR_COUNT(LOAD_PAGING_CMB))
					{
						JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB, CURRENT_INDEX + 1);
						LOAD_PAGING_CMB.onchange();
					}
				};
		}		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_PAGING_CMB"))
		{
    		LOAD_PAGING_CMB = JSOC_ELEMENT.VAR_GET("LOAD_PAGING_CMB");  
			LOAD_PAGING_CMB.onchange = 
				function()
				{
					HTTP_SEARCH_LOAD_PAGE();
				};
		}

		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_CMD"))
		{
			SEARCH_CMD = JSOC_ELEMENT.VAR_GET("SEARCH_CMD");
			SEARCH_CMD.onclick = function(){HTTP_SEARCH();};
		}		

		// Initialize: Ribbon Buttons [Add Print]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PRINT_BBI"))
		{
			PRINT_BBI = JSOC_ELEMENT.VAR_GET("PRINT_BBI");
			PRINT_BBI.onclick = function()
			{
				window.print();
			};
		}		
		
		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("EXPORT_BBI"))
		{
			EXPORT_BBI = JSOC_ELEMENT.VAR_GET("EXPORT_BBI");
			EXPORT_BBI.onclick = function()
			{
				JSOC_DIALOG.VAR_LOADING_SPINNER(true);
				JSRC_THREAD.REF_POST_DELAYED			
				(
					async function()
					{
						await JSRC_EXCEL.REF_EXPORT('EOD_PRODUCT_DGV');
						CUS_SEND_DIALOG_TRY_DISMISS();
					},
					100
				);
			};
		}				
	};



	// ===============================================================
	// Initialize Controls
	// ===============================================================     
	function FORM_INITIALIZE()
	{
		// Initialize Cookies
		// ...........................................
		FORM_INITIALIZE_COOKIES();
	
		// Read query strings
		// ...........................................
		var THIS_URL = JSVC_URL._CURRENT.VAR_URL();
		var PROD_ID = JSVC_URL.VAR_QUERY_VALUE(THIS_URL, 'id');
		if(JSVC_VAR.VAR_ISSET(PROD_ID))
		{
			PROPERTY_QSTRING_ID = JSVC_NUM.VAR_NVALL(PROD_ID);
		}
	
		// Initialize: Modals
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("EOD_PRODUCT_MODAL") == true)
		{
			// Display Modal
			JSOC_DIALOG.VAR_MODAL("EOD_PRODUCT_MODAL", false);
		}

		// Initialize Buttons
		// ...........................................
		FORM_INITIALIZE_BUTTONS();
		
		// Prepare onChange event
		// ...........................................
		var ON_CHANGE_EVENT = '';
		
		
		// Initialize: Input Controls
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODPROD_ID_TXT"))
		{
			REC_EODPROD_ID_TXT = JSOC_ELEMENT.VAR_GET("REC_EODPROD_ID_TXT");      
			REC_EODPROD_ID_TXT.onchange = 
				function()
				{
					if(REC_EODPROD_ID_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODPROD_ID_TXT.onkeypress = function(){REC_EODPROD_ID_TXT.onchange();};
			REC_EODPROD_ID_TXT.onpaste = function(){REC_EODPROD_ID_TXT.onchange();};
			//REC_EODPROD_ID_TXT.oninput = function(){REC_EODPROD_ID_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODPROD_CAT_PRODUCT_ID_CMB"))
		{
			REC_EODPROD_CAT_PRODUCT_ID_CMB = JSOC_ELEMENT.VAR_GET("REC_EODPROD_CAT_PRODUCT_ID_CMB");      	
			REC_EODPROD_CAT_PRODUCT_ID_CMB.onchange = 
				function()
				{
					if(REC_EODPROD_CAT_PRODUCT_ID_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODPROD_CAT_PRODUCT_ID_CMB.onkeypress = function(){REC_EODPROD_CAT_PRODUCT_ID_CMB.onchange();};
			REC_EODPROD_CAT_PRODUCT_ID_CMB.onpaste = function(){REC_EODPROD_CAT_PRODUCT_ID_CMB.onchange();};
			//REC_EODPROD_CAT_PRODUCT_ID_CMB.oninput = function(){REC_EODPROD_CAT_PRODUCT_ID_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODPROD_DATE_DTP"))
		{
			REC_EODPROD_DATE_DTP = JSOC_ELEMENT.VAR_GET("REC_EODPROD_DATE_DTP");   
			JSOC_ELEMENT.VAR_VALUE(REC_EODPROD_DATE_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD" + "T00:00"));
			REC_EODPROD_DATE_DTP.onchange = 
				function()
				{
					if(REC_EODPROD_DATE_DTP.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODPROD_DATE_DTP.onkeypress = function(){REC_EODPROD_DATE_DTP.onchange();};
			REC_EODPROD_DATE_DTP.onpaste = function(){REC_EODPROD_DATE_DTP.onchange();};
			REC_EODPROD_DATE_DTP.oninput = function(){REC_EODPROD_DATE_DTP.onchange();};					
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_EODPROD_DATE_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_EODPROD_DATE_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_EODPROD_DATE_FROM_DTP"))
		{
			var SEARCH_REC_EODPROD_DATE_FROM_DTP = JSOC_ELEMENT.VAR_GET("SEARCH_REC_EODPROD_DATE_FROM_DTP");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS('SEARCH_REC_EODPROD_DATE_CMB'))
			{
				SEARCH_REC_EODPROD_DATE_FROM_DTP.onchange = function()
				{
					if(SEARCH_REC_EODPROD_DATE_FROM_DTP.disabled == false)
					{
						JSOC_CMB.VAR_SELECTED_VALUE('SEARCH_REC_EODPROD_DATE_CMB', JSOC_DTP.FLAG_CUSTOM.toString());
					}
				};
			}
			else
			{
				JSOC_ELEMENT.VAR_VALUE(SEARCH_REC_EODPROD_DATE_FROM_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', -7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
			}
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_EODPROD_DATE_TO_DTP"))
		{
			var SEARCH_REC_EODPROD_DATE_TO_DTP = JSOC_ELEMENT.VAR_GET("SEARCH_REC_EODPROD_DATE_TO_DTP");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS('SEARCH_REC_EODPROD_DATE_CMB'))
			{
				SEARCH_REC_EODPROD_DATE_TO_DTP.onchange = function()
				{
					if(SEARCH_REC_EODPROD_DATE_TO_DTP.disabled == false)
					{
						JSOC_CMB.VAR_SELECTED_VALUE('SEARCH_REC_EODPROD_DATE_CMB', JSOC_DTP.FLAG_CUSTOM.toString());
					}
				};
			}
			else
			{
				JSOC_ELEMENT.VAR_VALUE(SEARCH_REC_EODPROD_DATE_TO_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', -7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
			}					
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS('SEARCH_REC_EODPROD_DATE_CMB'))
		{
			// Initialize
			var SEARCH_REC_EODPROD_DATE_CMB = JSOC_ELEMENT.VAR_GET("SEARCH_REC_EODPROD_DATE_CMB");
			JSOC_DTP.VAR_CREATE_LIST(SEARCH_REC_EODPROD_DATE_CMB);
				
			// Setup onChange event
			SEARCH_REC_EODPROD_DATE_CMB.onchange = function()
			{
				if(SEARCH_REC_EODPROD_DATE_CMB.disabled == false)
				{
					JSOC_DTP.VAR_DATESET_ASSIGN
					(
						"SEARCH_REC_EODPROD_DATE_FROM_DTP", 
						"SEARCH_REC_EODPROD_DATE_TO_DTP", 
						SEARCH_REC_EODPROD_DATE_CMB
					);
				}
			};
				
			// Set to this week
			JSOC_CMB.VAR_SELECTED_VALUE('SEARCH_REC_EODPROD_DATE_CMB', JSOC_DTP.FLAG_THIS_MONTH); 
			SEARCH_REC_EODPROD_DATE_CMB.onchange();
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODPROD_QTY_BEGIN_TXT"))
		{
			REC_EODPROD_QTY_BEGIN_TXT = JSOC_ELEMENT.VAR_GET("REC_EODPROD_QTY_BEGIN_TXT");      
			REC_EODPROD_QTY_BEGIN_TXT.onchange = 
				function()
				{
					if(REC_EODPROD_QTY_BEGIN_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODPROD_QTY_BEGIN_TXT.onkeypress = function(){REC_EODPROD_QTY_BEGIN_TXT.onchange();};
			REC_EODPROD_QTY_BEGIN_TXT.onpaste = function(){REC_EODPROD_QTY_BEGIN_TXT.onchange();};
			//REC_EODPROD_QTY_BEGIN_TXT.oninput = function(){REC_EODPROD_QTY_BEGIN_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODPROD_QTY_END_TXT"))
		{
			REC_EODPROD_QTY_END_TXT = JSOC_ELEMENT.VAR_GET("REC_EODPROD_QTY_END_TXT");      
			REC_EODPROD_QTY_END_TXT.onchange = 
				function()
				{
					if(REC_EODPROD_QTY_END_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODPROD_QTY_END_TXT.onkeypress = function(){REC_EODPROD_QTY_END_TXT.onchange();};
			REC_EODPROD_QTY_END_TXT.onpaste = function(){REC_EODPROD_QTY_END_TXT.onchange();};
			//REC_EODPROD_QTY_END_TXT.oninput = function(){REC_EODPROD_QTY_END_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODPROD_STOCK_IN_TXT"))
		{
			REC_EODPROD_STOCK_IN_TXT = JSOC_ELEMENT.VAR_GET("REC_EODPROD_STOCK_IN_TXT");      
			REC_EODPROD_STOCK_IN_TXT.onchange = 
				function()
				{
					if(REC_EODPROD_STOCK_IN_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODPROD_STOCK_IN_TXT.onkeypress = function(){REC_EODPROD_STOCK_IN_TXT.onchange();};
			REC_EODPROD_STOCK_IN_TXT.onpaste = function(){REC_EODPROD_STOCK_IN_TXT.onchange();};
			//REC_EODPROD_STOCK_IN_TXT.oninput = function(){REC_EODPROD_STOCK_IN_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODPROD_STOCK_OUT_TXT"))
		{
			REC_EODPROD_STOCK_OUT_TXT = JSOC_ELEMENT.VAR_GET("REC_EODPROD_STOCK_OUT_TXT");      
			REC_EODPROD_STOCK_OUT_TXT.onchange = 
				function()
				{
					if(REC_EODPROD_STOCK_OUT_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODPROD_STOCK_OUT_TXT.onkeypress = function(){REC_EODPROD_STOCK_OUT_TXT.onchange();};
			REC_EODPROD_STOCK_OUT_TXT.onpaste = function(){REC_EODPROD_STOCK_OUT_TXT.onchange();};
			//REC_EODPROD_STOCK_OUT_TXT.oninput = function(){REC_EODPROD_STOCK_OUT_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODPROD_STOCK_ADJUSTMENT_TXT"))
		{
			REC_EODPROD_STOCK_ADJUSTMENT_TXT = JSOC_ELEMENT.VAR_GET("REC_EODPROD_STOCK_ADJUSTMENT_TXT");      
			REC_EODPROD_STOCK_ADJUSTMENT_TXT.onchange = 
				function()
				{
					if(REC_EODPROD_STOCK_ADJUSTMENT_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODPROD_STOCK_ADJUSTMENT_TXT.onkeypress = function(){REC_EODPROD_STOCK_ADJUSTMENT_TXT.onchange();};
			REC_EODPROD_STOCK_ADJUSTMENT_TXT.onpaste = function(){REC_EODPROD_STOCK_ADJUSTMENT_TXT.onchange();};
			//REC_EODPROD_STOCK_ADJUSTMENT_TXT.oninput = function(){REC_EODPROD_STOCK_ADJUSTMENT_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODPROD_USAGE_TXT"))
		{
			REC_EODPROD_USAGE_TXT = JSOC_ELEMENT.VAR_GET("REC_EODPROD_USAGE_TXT");      
			REC_EODPROD_USAGE_TXT.onchange = 
				function()
				{
					if(REC_EODPROD_USAGE_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODPROD_USAGE_TXT.onkeypress = function(){REC_EODPROD_USAGE_TXT.onchange();};
			REC_EODPROD_USAGE_TXT.onpaste = function(){REC_EODPROD_USAGE_TXT.onchange();};
			//REC_EODPROD_USAGE_TXT.oninput = function(){REC_EODPROD_USAGE_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODPROD_MOVE_DESC_01_TXT"))
		{
			REC_EODPROD_MOVE_DESC_01_TXT = JSOC_ELEMENT.VAR_GET("REC_EODPROD_MOVE_DESC_01_TXT");      
			REC_EODPROD_MOVE_DESC_01_TXT.onchange = 
				function()
				{
					if(REC_EODPROD_MOVE_DESC_01_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODPROD_MOVE_DESC_01_TXT.onkeypress = function(){REC_EODPROD_MOVE_DESC_01_TXT.onchange();};
			REC_EODPROD_MOVE_DESC_01_TXT.onpaste = function(){REC_EODPROD_MOVE_DESC_01_TXT.onchange();};
			//REC_EODPROD_MOVE_DESC_01_TXT.oninput = function(){REC_EODPROD_MOVE_DESC_01_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODPROD_MOVE_DESC_02_TXT"))
		{
			REC_EODPROD_MOVE_DESC_02_TXT = JSOC_ELEMENT.VAR_GET("REC_EODPROD_MOVE_DESC_02_TXT");      
			REC_EODPROD_MOVE_DESC_02_TXT.onchange = 
				function()
				{
					if(REC_EODPROD_MOVE_DESC_02_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODPROD_MOVE_DESC_02_TXT.onkeypress = function(){REC_EODPROD_MOVE_DESC_02_TXT.onchange();};
			REC_EODPROD_MOVE_DESC_02_TXT.onpaste = function(){REC_EODPROD_MOVE_DESC_02_TXT.onchange();};
			//REC_EODPROD_MOVE_DESC_02_TXT.oninput = function(){REC_EODPROD_MOVE_DESC_02_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODPROD_MOVE_DESC_03_TXT"))
		{
			REC_EODPROD_MOVE_DESC_03_TXT = JSOC_ELEMENT.VAR_GET("REC_EODPROD_MOVE_DESC_03_TXT");      
			REC_EODPROD_MOVE_DESC_03_TXT.onchange = 
				function()
				{
					if(REC_EODPROD_MOVE_DESC_03_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODPROD_MOVE_DESC_03_TXT.onkeypress = function(){REC_EODPROD_MOVE_DESC_03_TXT.onchange();};
			REC_EODPROD_MOVE_DESC_03_TXT.onpaste = function(){REC_EODPROD_MOVE_DESC_03_TXT.onchange();};
			//REC_EODPROD_MOVE_DESC_03_TXT.oninput = function(){REC_EODPROD_MOVE_DESC_03_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODPROD_MOVE_DESC_04_TXT"))
		{
			REC_EODPROD_MOVE_DESC_04_TXT = JSOC_ELEMENT.VAR_GET("REC_EODPROD_MOVE_DESC_04_TXT");      
			REC_EODPROD_MOVE_DESC_04_TXT.onchange = 
				function()
				{
					if(REC_EODPROD_MOVE_DESC_04_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODPROD_MOVE_DESC_04_TXT.onkeypress = function(){REC_EODPROD_MOVE_DESC_04_TXT.onchange();};
			REC_EODPROD_MOVE_DESC_04_TXT.onpaste = function(){REC_EODPROD_MOVE_DESC_04_TXT.onchange();};
			//REC_EODPROD_MOVE_DESC_04_TXT.oninput = function(){REC_EODPROD_MOVE_DESC_04_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODPROD_MOVE_DESC_05_TXT"))
		{
			REC_EODPROD_MOVE_DESC_05_TXT = JSOC_ELEMENT.VAR_GET("REC_EODPROD_MOVE_DESC_05_TXT");      
			REC_EODPROD_MOVE_DESC_05_TXT.onchange = 
				function()
				{
					if(REC_EODPROD_MOVE_DESC_05_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODPROD_MOVE_DESC_05_TXT.onkeypress = function(){REC_EODPROD_MOVE_DESC_05_TXT.onchange();};
			REC_EODPROD_MOVE_DESC_05_TXT.onpaste = function(){REC_EODPROD_MOVE_DESC_05_TXT.onchange();};
			//REC_EODPROD_MOVE_DESC_05_TXT.oninput = function(){REC_EODPROD_MOVE_DESC_05_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODPROD_MOVE_QTY_01_TXT"))
		{
			REC_EODPROD_MOVE_QTY_01_TXT = JSOC_ELEMENT.VAR_GET("REC_EODPROD_MOVE_QTY_01_TXT");      
			REC_EODPROD_MOVE_QTY_01_TXT.onchange = 
				function()
				{
					if(REC_EODPROD_MOVE_QTY_01_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODPROD_MOVE_QTY_01_TXT.onkeypress = function(){REC_EODPROD_MOVE_QTY_01_TXT.onchange();};
			REC_EODPROD_MOVE_QTY_01_TXT.onpaste = function(){REC_EODPROD_MOVE_QTY_01_TXT.onchange();};
			//REC_EODPROD_MOVE_QTY_01_TXT.oninput = function(){REC_EODPROD_MOVE_QTY_01_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODPROD_MOVE_QTY_02_TXT"))
		{
			REC_EODPROD_MOVE_QTY_02_TXT = JSOC_ELEMENT.VAR_GET("REC_EODPROD_MOVE_QTY_02_TXT");      
			REC_EODPROD_MOVE_QTY_02_TXT.onchange = 
				function()
				{
					if(REC_EODPROD_MOVE_QTY_02_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODPROD_MOVE_QTY_02_TXT.onkeypress = function(){REC_EODPROD_MOVE_QTY_02_TXT.onchange();};
			REC_EODPROD_MOVE_QTY_02_TXT.onpaste = function(){REC_EODPROD_MOVE_QTY_02_TXT.onchange();};
			//REC_EODPROD_MOVE_QTY_02_TXT.oninput = function(){REC_EODPROD_MOVE_QTY_02_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODPROD_MOVE_QTY_03_TXT"))
		{
			REC_EODPROD_MOVE_QTY_03_TXT = JSOC_ELEMENT.VAR_GET("REC_EODPROD_MOVE_QTY_03_TXT");      
			REC_EODPROD_MOVE_QTY_03_TXT.onchange = 
				function()
				{
					if(REC_EODPROD_MOVE_QTY_03_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODPROD_MOVE_QTY_03_TXT.onkeypress = function(){REC_EODPROD_MOVE_QTY_03_TXT.onchange();};
			REC_EODPROD_MOVE_QTY_03_TXT.onpaste = function(){REC_EODPROD_MOVE_QTY_03_TXT.onchange();};
			//REC_EODPROD_MOVE_QTY_03_TXT.oninput = function(){REC_EODPROD_MOVE_QTY_03_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODPROD_MOVE_QTY_04_TXT"))
		{
			REC_EODPROD_MOVE_QTY_04_TXT = JSOC_ELEMENT.VAR_GET("REC_EODPROD_MOVE_QTY_04_TXT");      
			REC_EODPROD_MOVE_QTY_04_TXT.onchange = 
				function()
				{
					if(REC_EODPROD_MOVE_QTY_04_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODPROD_MOVE_QTY_04_TXT.onkeypress = function(){REC_EODPROD_MOVE_QTY_04_TXT.onchange();};
			REC_EODPROD_MOVE_QTY_04_TXT.onpaste = function(){REC_EODPROD_MOVE_QTY_04_TXT.onchange();};
			//REC_EODPROD_MOVE_QTY_04_TXT.oninput = function(){REC_EODPROD_MOVE_QTY_04_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODPROD_MOVE_QTY_05_TXT"))
		{
			REC_EODPROD_MOVE_QTY_05_TXT = JSOC_ELEMENT.VAR_GET("REC_EODPROD_MOVE_QTY_05_TXT");      
			REC_EODPROD_MOVE_QTY_05_TXT.onchange = 
				function()
				{
					if(REC_EODPROD_MOVE_QTY_05_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODPROD_MOVE_QTY_05_TXT.onkeypress = function(){REC_EODPROD_MOVE_QTY_05_TXT.onchange();};
			REC_EODPROD_MOVE_QTY_05_TXT.onpaste = function(){REC_EODPROD_MOVE_QTY_05_TXT.onchange();};
			//REC_EODPROD_MOVE_QTY_05_TXT.oninput = function(){REC_EODPROD_MOVE_QTY_05_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_EODPROD_STATUS_CMB"))
		{
			REC_EODPROD_STATUS_CMB = JSOC_ELEMENT.VAR_GET("REC_EODPROD_STATUS_CMB");      	
			REC_EODPROD_STATUS_CMB.onchange = 
				function()
				{
					if(REC_EODPROD_STATUS_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_EODPROD_STATUS_CMB.onkeypress = function(){REC_EODPROD_STATUS_CMB.onchange();};
			REC_EODPROD_STATUS_CMB.onpaste = function(){REC_EODPROD_STATUS_CMB.onchange();};
			//REC_EODPROD_STATUS_CMB.oninput = function(){REC_EODPROD_STATUS_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PARAM_REC_EODPROD_ID_FILE_FP"))
		{
			PARAM_REC_EODPROD_ID_FILE_FP = JSOC_ELEMENT.VAR_GET("PARAM_REC_EODPROD_ID_FILE_FP");
			PARAM_REC_EODPROD_ID_FILE_FP.onchange = 
				function()
				{
					if(PARAM_REC_EODPROD_ID_FILE_FP.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};			
		}
				
		
		// Initialize: Default Settings
		// ...........................................
		// FORM_PREPARE_DEFAULT_SETTINGS();   	
	};